org.jbpm.services.task.audit.commands

## Class GetTaskInputVariablesCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<List<org.kie.internal.task.api.TaskVariable>>
  - - org.jbpm.services.task.audit.commands.GetTaskInputVariablesCommand

- All Implemented Interfaces:
    Serializable, org.drools.core.command.impl.GenericCommand<List<org.kie.internal.task.api.TaskVariable>>, org.kie.api.command.Command<List<org.kie.internal.task.api.TaskVariable>>

      public class GetTaskInputVariablesCommand
      extends TaskCommand<List<org.kie.internal.task.api.TaskVariable>>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetTaskInputVariablesCommand()`
    `GetTaskInputVariablesCommand(long taskId, org.kie.internal.query.QueryFilter filter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<org.kie.internal.task.api.TaskVariable>` | `execute(org.kie.internal.command.Context context)`

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetTaskInputVariablesCommand

          public GetTaskInputVariablesCommand()

    - #### GetTaskInputVariablesCommand

          public GetTaskInputVariablesCommand(long taskId,
                                              org.kie.internal.query.QueryFilter filter)

  - ### Method Detail

    - #### execute

          public List<org.kie.internal.task.api.TaskVariable> execute(org.kie.internal.command.Context context)

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.